Skip to content

Edit the current customer's review

PUT
/cms/product/{id}/reviews/mine
curl --request PUT \
--url https://api.example.com/cms/product/1/reviews/mine \
--header 'API-Key: <API-Key>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "rating": 1, "body": "example" }'

The review goes back to pending moderation and stops counting towards the product rating until approved again.

id
required
integer
Media typeapplication/json
object
rating
required
integer
>= 1 <= 5
body
required
string
<= 5000 characters

Example generated

{
"rating": 1,
"body": "example"
}

Review updated (pending moderation)

Media typeapplication/json
Product Review

A customer review of a product. Only approved reviews are listed publicly.

object
id

Review ID

integer format: int64
product_id

Product ID

integer format: int64
author_name

Public name of the reviewer (nickname, display name, or first and last name)

string
rating

Rating

integer
>= 1 <= 5
body

Review text (plain text)

string
status

Moderation status

string
Allowed values: pending approved declined
timestamp

Submission date

string format: date-time
last_edited

Last edit by the customer

string format: date-time
nullable

Example

{
"status": "pending"
}

INVALID_RATING, REVIEW_BODY_REQUIRED or REVIEW_BODY_TOO_LONG

PRODUCT_UNAVAILABLE or REVIEW_NOT_FOUND